---
updatedAt: 2025-07-15T15:58:51.000Z
agentTools:
  projectIndex: https://docs.particlehealth.com/llms.txt
---

# Generate a JSON Web Token (JWT)

Generate a JSON Web Token (JWT)

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Particle API: <br>Click Authorize and paste your API Key to gain access.<br>The API consists of 2 collections, Queries - related to querying for patients and Files - related to pulling the documents back that Particle has collected.<br>Within each operation, click Try it out and then execute to see the response.<br>To test the workflow, iterate through the calls below in order.<br><br>1. POST /queries/ with the body of the patient's demographics, receiving back an query_id.<br>2. GET /queries/ the status of your requests (optional).<br>3. GET /queries/{id} the pointers to the documents by passing the query_id.<br>4. GET /files/{query_id}/{file_id} the file by passing the query_id and file_id, returning a patient's CCD.<br><br>Alternatively, a simplified workflow involves simply download a zip file of all documents using a GET /files/{query_id}/zip passing the query_id after the initial POST.",
    "title": "Particle Health API",
    "termsOfService": "https://www.particlehealth.com/terms-of-use",
    "contact": {
      "name": "API Support",
      "email": "support@particlehealth.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "1.0"
  },
  "paths": {
    "/auth": {
      "get": {
        "description": "Generate a JSON Web Token (JWT)",
        "tags": [
          "Authentication"
        ],
        "summary": "Generate a JSON Web Token (JWT)",
        "parameters": [
          {
            "description": "client-id. Send both client-id and client-secret headers, or an HTTP Basic Authorization header instead.",
            "name": "client-id",
            "in": "header",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "client-secret. Send both client-id and client-secret headers, or an HTTP Basic Authorization header instead.",
            "name": "client-secret",
            "in": "header",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "scope",
            "name": "scope",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          },
          "404": {
            "description": "Not Found"
          },
          "500": {
            "description": "Internal Server Error"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://sandbox.particlehealth.com"
    }
  ]
}
```